import { JavaObject } from '../../../java/lang/JavaObject';
import { SchuelerLernabschnittNachpruefung } from '../../../core/data/schueler/SchuelerLernabschnittNachpruefung';
import { Vector } from '../../../java/util/Vector';
export declare class SchuelerLernabschnittNachpruefungsdaten extends JavaObject {
    moegliche: Vector<String>;
    pruefungen: Vector<SchuelerLernabschnittNachpruefung>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerLernabschnittNachpruefungsdaten;
    static transpilerToJSON(obj: SchuelerLernabschnittNachpruefungsdaten): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerLernabschnittNachpruefungsdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerLernabschnittNachpruefungsdaten(obj: unknown): SchuelerLernabschnittNachpruefungsdaten;
